package main

import (
	"net/http"
	"net/http/httptest"
	"testing"

	"snapp_achievements/handlers"

	"github.com/stretchr/testify/assert"
)

func TestSampleIsAchievedNoUserIdAndNoAchievementId(t *testing.T) {
	req, _ := http.NewRequest(http.MethodGet, "/is_achieved", nil)

	rr := httptest.NewRecorder()
	handler := http.HandlerFunc(handlers.IsAchieved)

	handler.ServeHTTP(rr, req)

	assert.Equal(t, http.StatusBadRequest, rr.Code)
	assert.Equal(t, "application/json", rr.Header().Get("Content-Type"))

	assert.JSONEq(t, `{"error": "no user id provided"}`, rr.Body.String())
}
